Bug 60806 - alternatives: link /usr/share/man/man1/lpc.1.gz incorrect for slave print-lpcman
Summary: alternatives: link /usr/share/man/man1/lpc.1.gz incorrect for slave print-lpcman
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: wdovlrrw
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-07 02:25 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 02:26:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2002-03-07 02:25:59 UTC
Description of Problem:

%postinstall scripts fails with the message above when LPRng is installed
already. The alternatives slave-link/files referred in the message does not exists:

| $ ls /usr/share/man/man1/lpc-cups.1.gz  /usr/share/man/man1/lpc.1.gz
| ls: /usr/share/man/man1/lpc-cups.1.gz: No such file or directory
| ls: /usr/share/man/man1/lpc.1.gz: No such file or directory


I suggest to replace the alternatives ... line

| --slave /usr/share/man/man1/lpc.1.gz print-lpcman
/usr/share/man/man1/lpc-cups.1.gz \

with

| --slave /usr/share/man/man8/lpc.8.gz print-lpcman
/usr/share/man/man8/lpc-cups.8.gz \


Version-Release number of selected component (if applicable):

LPRng-3.8.7-2
cups-1.1.14-7

Comment 1 Bernhard Rosenkraenzer 2002-03-12 10:32:04 UTC
Fixed in -10


Note You need to log in before you can comment on or make changes to this bug.